org.apache.hc.core5.http

## Class EndpointDetails

- java.lang.Object
- - org.apache.hc.core5.http.EndpointDetails

- All Implemented Interfaces:
    HttpConnectionMetrics
  Direct Known Subclasses:
    BasicEndpointDetails

      public abstract class EndpointDetails
      extends Object
      implements HttpConnectionMetrics

  HTTP connection endpoint details.
  Since:
    5.0

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `EndpointDetails(SocketAddress remoteAddress, SocketAddress localAddress, Timeout socketTimeout)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SocketAddress` | `getLocalAddress()`
    `abstract long` | `getReceivedBytesCount()` Gets the number of bytes transferred over the connection, 0 if not available.
    `SocketAddress` | `getRemoteAddress()`
    `abstract long` | `getRequestCount()` Gets the number of requests transferred over the connection, 0 if not available.
    `abstract long` | `getResponseCount()` Gets the number of responses transferred over the connection, 0 if not available.
    `abstract long` | `getSentBytesCount()` Gets the number of bytes transferred over the connection, 0 if not available.
    `Timeout` | `getSocketTimeout()` Gets the socket timeout.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EndpointDetails

          protected EndpointDetails(SocketAddress remoteAddress,
                                    SocketAddress localAddress,
                                    Timeout socketTimeout)

  - ### Method Detail

    - #### getRemoteAddress

          public SocketAddress getRemoteAddress()

    - #### getLocalAddress

          public SocketAddress getLocalAddress()

    - #### getRequestCount

          public abstract long getRequestCount()

      Gets the number of requests transferred over the connection, 0 if not available.
      Specified by:
        `getRequestCount` in interface `HttpConnectionMetrics`

    - #### getResponseCount

          public abstract long getResponseCount()

      Gets the number of responses transferred over the connection, 0 if not available.
      Specified by:
        `getResponseCount` in interface `HttpConnectionMetrics`

    - #### getSentBytesCount

          public abstract long getSentBytesCount()

      Gets the number of bytes transferred over the connection, 0 if not available.
      Specified by:
        `getSentBytesCount` in interface `HttpConnectionMetrics`

    - #### getReceivedBytesCount

          public abstract long getReceivedBytesCount()

      Gets the number of bytes transferred over the connection, 0 if not available.
      Specified by:
        `getReceivedBytesCount` in interface `HttpConnectionMetrics`

    - #### getSocketTimeout

          public Timeout getSocketTimeout()

      Gets the socket timeout.
      Returns:
        the socket timeout.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.